microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Parámetros de encabezado
Foundry-Features
enum
requerido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parámetros de la ruta de acceso
name
string
requerido
The name of the memory store.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Cuerpo de la solicitud
Content-Type: application/json
scope
string
requerido
The namespace that logically groups and isolates memories to delete, such as a user ID.
Respuestas
The request has succeeded.
Cuerpo
Content-Type: application/json
object
enum
requerido
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
requerido
The name of the memory store.
scope
string
requerido
The scope from which memories were deleted.
deleted
boolean
requerido
Whether the deletion operation was successful.
Solicitar
POST /memory_stores/{name}:delete_scope HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json